Skip to main content
`Ctrl`+`K`

# PCISInitialize

initializes the `PC_IS` portion of `PCNN` and `PCBDDC` preconditioner context

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISInitialize(PC pc)

## Input Parameter

- pc - the `PC` object, must be of type `PCNN` or `PCBDDC`

## Note

There is no preconditioner the `PCIS` prefixed routines provide functionality needed by `PCNN` or `PCBDDC`

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISReset()`, `PCISApplySchur()`, `PCISApplyInvSchur()`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages